Part Circle/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "==Opis==")
(Created page with "24px '''Okrąg''' środowiska pracy Część to parametryczny kształt, który można utworzyć za pomocą polecenia 24px Utwórz geometrię pierwotną. W układzie współrzędnych zdefiniowanym przez właściwość {{PropertyData|Umiejscowienie}}, okrąg leży na płaszczyźnie XY ze środkiem w punkcie początkowym.")
Line 21: Line 21:
==Opis==
==Opis==


A [[Image:Part_Circle.svg|24px]] '''Part Circle''' is a parametric shape that can be created with the [[Image:Part_Primitives.svg|24px]] [[Part_Primitives|Part Primitives]] command. In the coordinate system defined by its {{PropertyData|Placement}} property, the circle lies on the XY plane with its center at the origin.
[[Image:Part_Circle.svg|24px]] '''Okrąg''' środowiska pracy Część to parametryczny kształt, który można utworzyć za pomocą polecenia [[Image:Part_Primitives.svg|24px]] [[Part_Primitives/pl|Utwórz geometrię pierwotną]]. W układzie współrzędnych zdefiniowanym przez właściwość {{PropertyData|Umiejscowienie}}, okrąg leży na płaszczyźnie XY ze środkiem w punkcie początkowym.


A Part Circle is in fact a closed counterclockwise circular arc, it can be turned into an arc by changing its {{PropertyData|Angle1}} and/or {{PropertyData|Angle2}} properties.
A Part Circle is in fact a closed counterclockwise circular arc, it can be turned into an arc by changing its {{PropertyData|Angle1}} and/or {{PropertyData|Angle2}} properties.

Revision as of 05:38, 24 June 2023

Part Okrąg

Lokalizacja w menu
Część → Utwórz geometrie pierwotne → Okrąg
Środowisko pracy
Część, OpenSCAD
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Utwórz geometrię pierwotną

Opis

Okrąg środowiska pracy Część to parametryczny kształt, który można utworzyć za pomocą polecenia Utwórz geometrię pierwotną. W układzie współrzędnych zdefiniowanym przez właściwość DANEUmiejscowienie, okrąg leży na płaszczyźnie XY ze środkiem w punkcie początkowym.

A Part Circle is in fact a closed counterclockwise circular arc, it can be turned into an arc by changing its DANEAngle1 and/or DANEAngle2 properties.

Usage

See Part Primitives.

A Part Circle can alternatively be created by selecting three points:

  1. In the task panel of the Part Primitives command select the Circle option from the dropdown list.
  2. Press the From three points button.
  3. Select three vertices in the 3D view. There is no need to hold down the Ctrl key.
  4. A circle is created.
  5. The selected vertices are only used at creation time to calculate the DANERadius and DANEPlacement of the circle.

Example

Part Circle from the scripting example

A Part Circle object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part Circle object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • DANERadius (Length): The radius of the circle or circular arc. The default is 2mm.
  • DANEAngle1 (Angle): The start angle of the circular arc. Valid range: 0° < value <= 360°. The default is .
  • DANEAngle2 (Angle): The end angle of the circular arc. Valid range: 0° < value <= 360°. The default is 360°. If DANEAngle1 and DANEAngle2 are equal, or if one angle is and the other 360°, a full circle is created.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Circle can be created with the addObject() method of the document:

circle = FreeCAD.ActiveDocument.addObject("Part::Circle", "myCircle")
  • Where "myCircle" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

circle = doc.addObject("Part::Circle", "myCircle")
circle.Radius = 10
circle.Angle1 = 45
circle.Angle2 = 225
circle.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()